#******************************************************************************
#                                                                             *
#                                LayGO (tm)                                   *
#           Copyright (c) 1998-2000 by Advanced Relay Corporation             *
#                           All rights reserved.                              *
#                                                                             *
#******************************************************************************
#
#  $Source: q:/laygorcs/FrmRelay.tcl $
#
#      $Id: FrmRelay.tcl 1.1 2000/03/08 20:36:27 tiktin Exp $
#
#  MODULE DESCRIPTION
#
#    Frame Relay package module for LayGO for Tcl/Tk (all platforms).
#
#******************************************************************************

package provide FrmRelay 2.2

namespace eval FrmRelay {
	variable TIMER_T1_KEEP_ALIVE					0
	variable TIMER_T2_VERIFICATION					1
	variable TIMER_MAX								2
	variable TIMER_VC_CONGESTION					0
	variable TIMER_VC_MAX							1
	variable MGMT_SIGNALING_NONE					0
	variable MGMT_SIGNALING_LMI						1
	variable MGMT_SIGNALING_ANNEX_D					2
	variable MGMT_SIGNALING_MAX						3
	variable IOCTL_VC_SET_DE_BIT					0
	variable IOCTL_VC_CLEAR_DE_BIT					1
	variable IOCTL_VC_MAX							2
	variable STAT_FRAME_TOO_SHORT					0
	variable STAT_FRAME_TOO_LONG					1
	variable STAT_FRAME_INVALID_HEADER				2
	variable STAT_FRAME_ON_UNASSIGNED_DLCI			3
	variable STAT_HEARTBEATS_SENT					4
	variable STAT_HEARTBEATS_RECEIVED				5
	variable STAT_LINK_INTEGRITY_ERRORS				6
	variable STAT_LINK_INTEGRITY_ALARMS				7
	variable STAT_LINK_INTEGRITY_INVALID_FRAMES		8
	variable STAT_MAX								9
	variable STAT_VC_FRAMES_SENT					0
	variable STAT_VC_FRAMES_RECEIVED				1
	variable STAT_VC_BECN_BIT_SET					2
	variable STAT_VC_FECN_BIT_SET					3
	variable STAT_VC_CONGESTION_CONTROL				4
	variable STAT_VC_MAX							5
	variable MSG_MAX								0
}

#******************************************************************************
#                                   End of File                               *
#******************************************************************************

