#******************************************************************************
#                                                                             *
#                                LayGO (tm)                                   *
#           Copyright (c) 1998-2000 by Advanced Relay Corporation             *
#                           All rights reserved.                              *
#                                                                             *
#******************************************************************************
#
#  $Source: q:/laygorcs/Lapb.tcl $
#
#      $Id: Lapb.tcl 1.1 2000/03/08 20:36:27 tiktin Exp $
#
#  MODULE DESCRIPTION
#
#    LAPB package module for LayGO for Tcl/Tk (all platforms).
#
#******************************************************************************

package provide Lapb 2.2

namespace eval Lapb {
	variable TIMER_T1_RETRANSMIT			0
	variable TIMER_T1_ALTERNATE				1
	variable TIMER_T2_ACKNOWLEDGE			2
	variable TIMER_T4_NO_TRAFFIC			3
	variable TIMER_MAX						4
	variable STAT_T1_TIMEOUTS				0
	variable STAT_T2_TIMEOUTS				1
	variable STAT_T4_TIMEOUTS				2
	variable STAT_I_FRAME_SENT				3
	variable STAT_RR_SENT					4
	variable STAT_RNR_SENT					5
	variable STAT_REJ_SENT					6
	variable STAT_SABM_SENT					7
	variable STAT_DISC_SENT					8
	variable STAT_DM_SENT					9
	variable STAT_UA_SENT					10
	variable STAT_FRMR_SENT					11
	variable STAT_I_FRAME_RECV				12
	variable STAT_RR_RECV					13
	variable STAT_RNR_RECV					14
	variable STAT_REJ_RECV					15
	variable STAT_SABM_RECV					16
	variable STAT_DISC_RECV					17
	variable STAT_DM_RECV					18
	variable STAT_UA_RECV					19
	variable STAT_FRMR_RECV					20
	variable STAT_INVALID_FRAMES			21
	variable STAT_IMPOSSIBLE_FRAMES			22
	variable STAT_RETRANSMIT_FAILURES		23
	variable STAT_MAX						24
	variable IOCTL_MAX						0
	variable MSG_MAX						0
}

#******************************************************************************
#                                   End of File                               *
#******************************************************************************

