#******************************************************************************
#                                                                             *
#                                LayGO (tm)                                   *
#           Copyright (c) 1998-2000 by Advanced Relay Corporation             *
#                           All rights reserved.                              *
#                                                                             *
#******************************************************************************
#
#  $Source: q:/laygorcs/Lapd.tcl $
#
#      $Id: Lapd.tcl 1.1 2000/03/08 20:36:27 tiktin Exp $
#
#  MODULE DESCRIPTION
#
#    LAPD package module for LayGO for Tcl/Tk (all platforms).
#
#******************************************************************************

package provide Lapd 2.2

namespace eval Lapd {
	variable TIMER_T200_NO_RESPONSE		0
	variable TIMER_T201_TEI_CHECK		1
	variable TIMER_T202_TEI_REQUEST		2
	variable TIMER_T203_NO_TRAFFIC		3
	variable TIMER_ACKNOWLEDGE			4
	variable STAT_TEI_T200_TIMEOUTS		0
	variable STAT_TEI_T203_TIMEOUTS		1
	variable STAT_TEI_INVALID_SAPI		2
	variable STAT_TEI_TX_I				3
	variable STAT_TEI_TX_RR				4
	variable STAT_TEI_TX_RNR			5
	variable STAT_TEI_TX_REJ			6
	variable STAT_TEI_TX_SABME			7
	variable STAT_TEI_TX_DISC			8
	variable STAT_TEI_TX_DM				9
	variable STAT_TEI_TX_UA				10
	variable STAT_TEI_TX_UI				11
	variable STAT_TEI_TX_XID			12
	variable STAT_TEI_TX_FRMR			13
	variable STAT_TEI_RX_I				14
	variable STAT_TEI_RX_RR				15
	variable STAT_TEI_RX_RNR			16
	variable STAT_TEI_RX_REJ			17
	variable STAT_TEI_RX_SABME			18
	variable STAT_TEI_RX_DISC			19
	variable STAT_TEI_RX_DM				20
	variable STAT_TEI_RX_UA				21
	variable STAT_TEI_RX_UI				22
	variable STAT_TEI_RX_XID			23
	variable STAT_TEI_RX_FRMR			24
	variable STAT_TEI_MAX				25
	variable STAT_INVALID_FRAME			0
	variable STAT_INVALID_TEI			1
	variable STAT_CONTINUITY_MESSAGE	2
	variable STAT_MAX					3
	variable IOCTL_ASSIGN_TEI			0
	variable IOCTL_RELEASE_TEI			1
	variable IOCTL_CONTINUITY_CHECK		2
	variable IOCTL_MAX					3
	variable MSG_MAX					0
}

#******************************************************************************
#                                   End of File                               *
#******************************************************************************

