#******************************************************************************
#                                                                             *
#                                LayGO (tm)                                   *
#           Copyright (c) 1998-2000 by Advanced Relay Corporation             *
#                           All rights reserved.                              *
#                                                                             *
#******************************************************************************
#
#  $Source: q:/laygorcs/X21bis.tcl $
#
#      $Id: X21bis.tcl 1.1 2000/03/08 20:36:30 tiktin Exp $
#
#  MODULE DESCRIPTION
#
#    X.21 bis package module for LayGO for Tcl/Tk (all platforms).
#
#******************************************************************************

package provide X21bis 2.2

namespace eval X21bis {
	variable SIGNAL_CTS					1
	variable SIGNAL_DCD					2
	variable SIGNAL_DSR					4
	variable SIGNAL_FLG					8
	variable SIGNAL_RTS					32
	variable SIGNAL_DTR					64
	variable CLOCK_SINK					0
	variable CLOCK_SOURCE				1
	variable CLOCK_SYMMETRIC			2
	variable CLOCK_SINK_RX				3
	variable CLOCK_SINK_TX				4
	variable CLOCK_SINK_NOISE_SUPPRESS	5
	variable CLOCK_NRZI_ENCODING		6
	variable CLOCK_FM0_ENCODING			7
	variable CLOCK_FM1_ENCODING			8
	variable CLOCK_MANCHESTER_ENCODING	9
	variable CLOCK_MAX					10
	variable TIMER_CONNECT				0
	variable TIMER_DISCONNECT			1
	variable TIMER_RESET				2
	variable TIMER_RECONNECT			3
	variable TIMER_IDLE					4
	variable TIMER_MAX					5
	variable IOCTL_SWITCH_LINES			0
	variable IOCTL_MODEM_CONTROL		1
	variable IOCTL_GET_SIGNALS			2
	variable IOCTL_MAX					3
	variable SIZEOF_SIGNAL_DATA			4
	variable STAT_FRAMES_SENT			0
	variable STAT_FRAMES_RECEIVED		1
	variable STAT_CRC_ERRORS			2
	variable STAT_LENGTH_ERRORS			3
	variable STAT_ABORTED_FRAMES		4
	variable STAT_IDLE_TIMEOUTS			5
	variable STAT_HARDWARE_ANOMALIES	6
	variable STAT_HARDWARE_NO_BUFFERS	7
	variable STAT_SYSTEM_NO_BUFFERS		8
	variable STAT_MAX					9
	variable MSG_MAX					0
}

#******************************************************************************
#                                   End of File                               *
#******************************************************************************
