#******************************************************************************
#                                                                             *
#                                LayGO (tm)                                   *
#           Copyright (c) 1998-2000 by Advanced Relay Corporation             *
#                           All rights reserved.                              *
#                                                                             *
#******************************************************************************
#
#  $Source: q:/laygorcs/X25.tcl $
#
#      $Id: X25.tcl 1.1 2000/03/08 20:36:30 tiktin Exp $
#
#  MODULE DESCRIPTION
#
#    X.25 package module for LayGO for Tcl/Tk (all platforms).
#
#******************************************************************************

package provide X25 2.2

namespace eval X25 {
	variable D_BIT										1
	variable M_BIT										2
	variable Q_BIT										4
	variable TIMER_T20_RESTART							0
	variable TIMER_T28_REGISTRATION						1
	variable TIMER_MAX									2
	variable TIMER_T21_CALL								0
	variable TIMER_T22_RESET							1
	variable TIMER_T23_CLEAR							2
	variable TIMER_T24_WINDOW_STATUS					3
	variable TIMER_T25_WINDOW_ROTATION					4
	variable TIMER_VC_MAX								5
	variable IOCTL_DEBUG_WRITE							0
	variable IOCTL_MAX									1
	variable IOCTL_SEND_INTERRUPT						0
	variable IOCTL_SEND_INTERRUPT_CONFIRMATION			1
	variable IOCTL_REQUEST_RESTART						2
	variable IOCTL_VC_MAX								3
	variable STAT_PACKET_TOO_SHORT						0
	variable STAT_INVALID_GFI							1
	variable STAT_PACKET_ON_UNASSIGNED_LOGICAL_CHANNEL	2
	variable STAT_MAX									3
	variable STAT_DATA_SENT								0
	variable STAT_RR_SENT								1
	variable STAT_RNR_SENT								2
	variable STAT_RESETS_SENT							3
	variable STAT_DATA_RECEIVED							4
	variable STAT_RR_RECEIVED							5
	variable STAT_RNR_RECEIVED							6
	variable STAT_RESETS_RECEIVED						7
	variable STAT_UNKNOWN_PACKETS						8
	variable STAT_VC_MAX								9
	variable MSG_DIAGNOSTIC								0
	variable MSG_INTERRUPT								1
	variable MSG_INTERRUPT_CONFIRMATION					2
	variable MSG_MAX									3
}

#******************************************************************************
#                                   End of File                               *
#******************************************************************************

